d = Hash.new         # Create an empty hash
e = Hash.new(99)     # Create an empty hash
f = Hash.new("a"=>3) # Create an empty hash
e["angled"]          # 99
e.inspect            # {}
f["b"]               # {"a"=>3} (default value is
                     #   actually a hash itself)
f.inspect            # {}

